# KernelGaussiano

Esta es una clase de Python que implementa el kernel gaussiano para suavizar una serie de tiempo. Esta clase permite cargar datos desde un archivo CSV, suavizar la serie de tiempo y graficar tanto la serie original como la suavizada.

## Requisitos

Asegúrate de tener instaladas las siguientes bibliotecas antes de utilizar esta clase:

- pandas
- numpy
- matplotlib

Puedes instalarlas utilizando `pip`:

```bash
pip install pandas numpy matplotlib
```

## Uso

```python
from KernelGaussiano import KernelGaussiano

# Inicializa la clase con la ruta del archivo CSV y el valor de sigma (parámetro de suavizado)
kernel = KernelGaussiano("archivo.csv", sigma)

# Grafica la serie de tiempo original y suavizada
kernel.PlotGaussianKernel()
```

## Parámetros

- `data` (str): Ruta del archivo CSV con los datos de la serie de tiempo.
- `sigma` (float): Parámetro de suavizado.

## Ejemplo

```python
kernel = KernelGaussiano("datos_covid.csv", 3.0)
kernel.PlotGaussianKernel()
```

## Créditos

Esta librería fue desarrollada por Luciano Muñoz.

## Contacto

Si tienes alguna pregunta o comentario, no dudes en ponerte en contacto conmigo a través de mi correo electrónico: [luciano.munoz1@udea.edu.co].



